package es1;

public class Spiaggia {
	private final Cliente[][] ombrelloni;
	
	public Spiaggia (int nOmbrelloni, int nGiorni) {
		ombrelloni= new Cliente[nOmbrelloni][nGiorni];
	}
	
	public Cliente getPrenotazione (int ombrellone, int giorno) {
		if (ombrellone<0 || ombrellone>=ombrelloni.length) 
			return null;
		if (ombrelloni.length==0 ||
			giorno<0 || giorno>=ombrelloni[0].length) 
			return null;
		return ombrelloni[ombrellone][giorno];
	}
	
	public int addPrenotazione (Cliente c, int giornoInizio,
			                    int giornoFine) {
		if (c==null) return -1;
		if (ombrelloni.length==0 ||
				giornoInizio<0 || giornoInizio>=ombrelloni[0].length) 
				return -1;
		if (ombrelloni.length==0 ||
				giornoFine<0 || giornoFine>=ombrelloni[0].length) 
				return -1;
		if (giornoFine<giornoInizio) 
			return -1;
		for (int i=0; i<ombrelloni.length; i++) {
			boolean occupato=false;
			for (int j=giornoInizio; j<=giornoFine && !occupato; j++) {
				if (ombrelloni[i][j]!=null) 
					occupato=true;
			}
			if (!occupato) {
				//aggiorno l'array ombrelloni
				for (int j=giornoInizio; j<=giornoFine; j++) {
					ombrelloni[i][j]=c;
				}
				return i;
			}
				
		}
		return -1;
	}
}
