package es2;

public class Statino {
	private final int matricola;
	private final int voto;
	private final boolean lode;
	
	public Statino(int matricola, int voto, boolean lode) {
		this.matricola=matricola;
		if (voto<0) voto=0;
		if (voto>30) {
			voto=30;
			lode=true;
		}
		this.voto=voto;
		this.lode=lode;
	}
	
	public Statino (int matricola, int voto) {
		this(matricola, voto, false);
	}
	
	public int getMatricola() {
		return matricola;
	}
	
	public int getVoto() {
		return voto;
	}
	
	public boolean getLode() {
		return lode;
	}
	
	public String toString() {
		String s= "studente " + matricola + " voto " + voto;
		if (lode) {
			s += " e lode";
		}
		return s;
	}
	
}
