import es1.*;
import es4.*;
import es5.*;
import java.util.ArrayList;

public class MainClass {

	public static void main(String[] args) {
		testEs5();
	}

	static void testEs5() {
		FormaGeometrica f = new Quadrato(3.2);
		System.out.println (f.calcolaPerimetro());
		
	}
	
	static void testEs4() {
		Articolo a1 = new Articolo(5, "Quinto articolo!");
		Articolo a2 = new Articolo(2, "Secondo articolo!");
		Articolo a3 = new Articolo(1, "Di nuovo un primo articolo!");
		Articolo a4 = new Articolo(10, "Ultimo articolo!");
		
		Legge l = new Legge ("Diritto allo studio");
		l.addArticolo(a1);
		l.addArticolo(a2);
		l.addArticolo(a3);
		l.addArticolo(a4);
		
		
		
		System.out.println (l);
		System.out.println (l.getNArticoli());
		System.out.println (l.getArticolo(2));
		
	}
	
	
	static void testEs1() {
		Spiaggia s = new Spiaggia(50, 120);
		int ombrellone = s.addPrenotazione(new Cliente("Luca", "Moscardelli", "123"), 80, 85);
		System.out.println(ombrellone);
		ombrellone = s.addPrenotazione(new Cliente("Mario", "Rossi", "123"), 84, 86);
		System.out.println(ombrellone);
		ombrellone = s.addPrenotazione(new Cliente("Mario", "Rossi", "123"), 8, 16);
		System.out.println(ombrellone);

	}

	static ArrayList<Integer> espandi(int[] elementi, int[] molteplicita) {
		if (elementi == null || molteplicita == null || elementi.length != molteplicita.length)
			return null;
		ArrayList<Integer> ris = new ArrayList<>();
		for (int i = 0; i < elementi.length; i++) {
			for (int j = 0; j < molteplicita[i]; j++) {
				ris.add(elementi[i]);
			}
		}
		return ris;
	}

	static int[] espandi2(int[] elementi, 
			               int[] molteplicita) {
		if (elementi == null || molteplicita == null 
			|| elementi.length != molteplicita.length)
			return null;
		int conto=0;
		for (int i = 0; i < elementi.length; i++) {
			if (molteplicita[i]>0) 
				conto+=molteplicita[i];
		}
		int[] ris = new int[conto];
		int posLibera=0;
		for (int i = 0; i < elementi.length; i++) {
			for (int j = 0; j < molteplicita[i]; j++) {
				ris[posLibera]=elementi[i];
				posLibera++;
			}
		}
		return ris;
	}

}
